aboutsummaryrefslogtreecommitdiff
path: root/snag/run_pkg_install.sh
diff options
context:
space:
mode:
authorJack Jamison <jackqjamison@gmail.com>2026-07-20 15:56:56 -0400
committerJack Jamison <jackqjamison@gmail.com>2026-07-20 15:56:56 -0400
commit86af4e8487f27dd69863b1380fe17e841605214f (patch)
treea6e23f1286ef0c01d2577cb03460fc76caa8d8f8 /snag/run_pkg_install.sh
parent0ad03c0647b94683c26045bbc143b0d6450d914f (diff)
improvements and fixes
Diffstat (limited to 'snag/run_pkg_install.sh')
-rwxr-xr-xsnag/run_pkg_install.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/snag/run_pkg_install.sh b/snag/run_pkg_install.sh
new file mode 100755
index 0000000..d48d831
--- /dev/null
+++ b/snag/run_pkg_install.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# reads a package description script and runs the configure, build, and install
+# steps. intended only for use by snag program
+if [ -z "$1" ]; then
+ echo "Usage: $0 <description script>" >&2
+ exit 1
+fi
+
+# load the description script
+. $1
+
+# run all install steps for package
+configure
+build
+install